﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace PACManager
{
  public partial class FLicense : Form
  {
    public FLicense()
    {
      InitializeComponent();
    }

    private void btnClose_Click(object sender, EventArgs e)
    {
      this.Close();
    }

    private void FLicense_Load(object sender, EventArgs e)
    {
      const string PATH = @"LICENSE.TXT";

      if (!File.Exists(PATH))
      {
        rtbLicense.Text = string.Format(@"ERROR: Unable to load {0}. This package may be corrupted.", PATH);
      }

      try
      {
        TextReader reader = new StreamReader(PATH);
        string license = reader.ReadToEnd();
        reader.Close();
        rtbLicense.Text = license;
      }
      catch (Exception)
      {
        rtbLicense.Text = string.Format(@"ERROR: An error occurred loading {0}. This package may be corrupted.", PATH);
      }
    }
  }
}
